# dkim_sig_hdrsigned()

[back to index]

SYNOPSIS

    #include <dkim.h>

    bool dkim_sig_hdrsigned(
    	DKIM_SIGINFO *sig,
    	char *hdr
    );

Determine whether or not a particular header was covered by a specific signature on a message.

DESCRIPTION

Called When | `dkim_sig_hdrsigned()` can be called at any time after headers have been processed for a message being signed or verified, essentially after a call to `dkim_eoh()`.

ARGUMENTS

Argument | Description
--- | ---
sig | Signature-specific handle.
hdr | The name of the header to be checked.

RETURN VALUES

Value | Description
--- | ---
`TRUE` | The header named by `hdr` was included in the signature referenced by `sig`.
FALSE | `sig` did not cover `hdr`.

NOTES

- The check performed by this function is fairly simple: it will see if `hdr` appears in the "h=" tag for the signature identified by `sig`. It does not guarantee that a specific instance of that header was signed, which is relevant for headers that appear more than once (e.g. Received:).

Copyright (c) 2008 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009, 2010, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.